<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');

$caso="Generico";
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$material = $_COOKIE['material'];
if($material=="SOLOS") $limiteMaterial=45;
if($material=="FOLIAR") $limiteMaterial=23;


echo(" Operador: $nomeOperador <br>");
switch ($tela):

    case 'incluir':
        echo '<h2>Cadastro de pacote SOLOS</h2>';
		echo("Orientacao:Nesta tela somente serão registrados os pacotes.Apos registrados, selecione editar e defina os testes que serão feitos e os precos");
        if (post('cadastrar') !== ""):
            $user = new pacotes(array(
                'nome'=>post('nome'),
                'sigla'=>post('sigla'),
                'material'=>post('material'),
                'id_labo'=>$idLabo,
  
				
            ));
            if ($user->existeRegistro('material',post('material'))):
                printMSG('Este material já está cadastrado, escolha outro nome de usuário.','erro');
                //$duplicado = TRUE;
            endif;
            if ($user->existeRegistro('sigla',post('sigla'))):
                printMSG('Este sigla já está cadastrado, escolha outro endereço.','erro');
                //$duplicado = TRUE;
            endif;
            if ($duplicado!=TRUE):
                $user->inserir($user);
                if ($user->linhasafetadas==1):
                    printMSG('Dados inseridos com sucesso. <a href="'.ADMURL.'?m=pacotes&t=listar">Exibir cadastros</a>');
                    unset($_POST);
                endif;
            endif;            
        endif;
        ?>
        <script type="text/javascript">
           $(document).ready(function(){
               $(".userform").validate({
                   rules:{
                       nome:{required:true, minlength:3},
                       sigla:{required:true, sigla:true},
                       material:{required:true, minlength:5},
 
                   }
               });
           });
       </script>
        <form class="userform" method="post" action="">
            <fieldset>
                <legend>Informe os dados para cadastro</legend>
                <ul>
                    <li><label for="nome">Nome:</label>
                    <input type="text" size="50" name="nome" autofocus="autofocus" value="<?php echo post('nome') ?>" /></li>
                    <li><label for="sigla">sigla:</label>
                    <input type="text" size="50" name="sigla" value="<?php echo post('sigla') ?>" /></li>
                    <li><label for="material">material:</label>
                    <input type="text" size="35" name="material" value="<?php echo $material;?>" /></li>
	

                    <li class="center"><input type="button" onclick="location.href='?m=pacotes&t=listar'" value="Cancelar" /><input type="submit" name="cadastrar" value="Salvar dadosx" /></li>
                </ul>
            </fieldset>
        </form>
        <?php
        break;
	

///////////////////////////LISTAR/////////////////////////////////////	 
    case 'listar':
		$sessao = new sessao();
		$idLabo=$sessao->getVar('idLabo');
        //echo ("Pacote: $material <br>");
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome</th><th>Sigla</th><th>preco</th><th>Cadastro</th><th>Ações</th>
                </tr>
            </thead>
            <tbody>
                <?php 
				
                $user = new pacotes();
				$user->extras_select =" where  id_labo=".$idLabo." &&  material='".$material."'" ;
                $user->selecionaTudo($user);
                $contador=0;
				while ($res = $user->retornaDados()):
                   $contador++;
				    echo '<tr>';
                    printf('<td>%s</td>',$res->nome.".");
                    printf('<td>%s</td>',$res->sigla.'.');
                    //printf('<td>%s</td>',$res->material.".");
                    printf('<td>%s</td>',$res->preco.".");
                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->datacad))));
                    printf('<td class="center"><a href="?m=pacotes&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a> <a href="?m=pacotes&t=editar&id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a></td>',$res->id,$res->id);
                    echo '</tr>';
                endwhile;
				//se nao tem pacote algum ele vai criar um para inicializar
				//echo("contador= $contador <br>");
				if ($contador==0)
				{
				       //echo("dentro do if contador= $contador <br>");
                        $user = new pacotes(array(
		                'nome'=>"NOVO PACOTE",
		                'sigla'=>"NOVO",
		                'material'=>$material,
		                'id_labo'=>$idLabo,
		            ));
					
		                 $user->inserir($user);
	                     printMSG('Criado registro inicial. Acesse novamente. <a href="?m=pacotes&t=antigaListar">Exibir cadastros</a>','alerta');
	                     unset($_POST);
				}
				
				
				
				
				
				                
                ?>
            </tbody>
        </table>
        
        <?php        

	
    break;



    case 'editar':
		 ?>
		 <font color="red"><h2>Edicao de pacote de  <?php echo($material)?></h2></font>
		 <?php
         $sessao = new sessao();
       
            if (get('id') !== ""):
                $id = get('id');
				//echo $id;
                if (post('editar') !== ""):
				    if (post('cb1') !== "") $vt1=post('t1');  //cb é check box
					if (post('cb2') !== "") $vt2=post('t2');  
				    if (post('cb3') !== "") $vt3=post('t3');
				    if (post('cb4') !== "") $vt4=post('t4');
				    if (post('cb5') !== "") $vt5=post('t5');
				    if (post('cb6') !== "") $vt6=post('t6');
				    if (post('cb7') !== "") $vt7=post('t7');
				    if (post('cb8') !== "") $vt8=post('t8');
				    if (post('cb9') !== "") $vt9=post('t9');
				    if (post('cb10') !== "") $vt10=post('t10');
				    if (post('cb11') !== "") $vt11=post('t11');  //cb é check box
					if (post('cb12') !== "") $vt12=post('t12');  
				    if (post('cb13') !== "") $vt13=post('t13');
				    if (post('cb14') !== "") $vt14=post('t14');
				    if (post('cb15') !== "") $vt15=post('t15');
				    if (post('cb16') !== "") $vt16=post('t16');
				    if (post('cb17') !== "") $vt17=post('t17');
				    if (post('cb18') !== "") $vt18=post('t18');
				    if (post('cb19') !== "") $vt19=post('t19');
				    if (post('cb20') !== "") $vt20=post('t20');
				    if (post('cb21') !== "") $vt21=post('t21');  //cb é check box
					if (post('cb22') !== "") $vt22=post('t22');  
				    if (post('cb23') !== "") $vt23=post('t23');
				    if (post('cb24') !== "") $vt24=post('t24');
				    if (post('cb25') !== "") $vt25=post('t25');
				    if (post('cb26') !== "") $vt26=post('t26');
				    if (post('cb27') !== "") $vt27=post('t27');
				    if (post('cb28') !== "") $vt28=post('t28');
				    if (post('cb29') !== "") $vt29=post('t29');
				    if (post('cb30') !== "") $vt30=post('t30');
				    if (post('cb31') !== "") $vt31=post('t31');  //cb é check box
					if (post('cb32') !== "") $vt32=post('t32');  
				    if (post('cb33') !== "") $vt33=post('t33');
				    if (post('cb34') !== "") $vt34=post('t34');
				    if (post('cb35') !== "") $vt35=post('t35');
				    if (post('cb36') !== "") $vt36=post('t36');
				    if (post('cb37') !== "") $vt37=post('t37');
				    if (post('cb38') !== "") $vt38=post('t38');
				    if (post('cb39') !== "") $vt39=post('t39');
				    if (post('cb40') !== "") $vt40=post('t40');
				    if (post('cb41') !== "") $vt41=post('t41');  //cb é check box
					if (post('cb42') !== "") $vt42=post('t42');  
				    if (post('cb43') !== "") $vt43=post('t43');
				    if (post('cb44') !== "") $vt44=post('t44');
				    if (post('cb45') !== "") $vt45=post('t45');
				    if (post('cb46') !== "") $vt45=post('t46');
				    if (post('cb47') !== "") $vt45=post('t47');
				    if (post('cb48') !== "") $vt45=post('t48');
				    if (post('cb49') !== "") $vt45=post('t49');
					//echo("vt1=$vt1<br>");
                    $user = new pacotes(array(
	                'preco'=>post('preco'),
					'nome'=>post('nome'),
                     'sigla'=>post('sigla'),
					't1'=>$vt1,
	                't2'=>$vt2,
	                't3'=>$vt3,
	                't4'=>$vt4,
	                't5'=>$vt5,
	                't6'=>$vt6,
	                't7'=>$vt7,
	                't8'=>$vt8,
	                't9'=>$vt9,
	                't10'=>$vt10,
					't11'=>$vt11,
	                't12'=>$vt12,
	                't13'=>$vt13,
	                't14'=>$vt14,
	                't15'=>$vt15,
	                't16'=>$vt16,
	                't17'=>$vt17,
	                't18'=>$vt18,
	                't19'=>$vt19,
	                't20'=>$vt20,
					't21'=>$vt21,
	                't22'=>$vt22,
	                't23'=>$vt23,
	                't24'=>$vt24,
	                't25'=>$vt25,
	                't26'=>$vt26,
	                't27'=>$vt27,
	                't28'=>$vt28,
	                't29'=>$vt29,
	                't30'=>$vt30,
					't31'=>$vt31,
	                't32'=>$vt32,
	                't33'=>$vt33,
	                't34'=>$vt34,
	                't35'=>$vt35,
	                't36'=>$vt36,
	                't37'=>$vt37,
	                't38'=>$vt38,
	                't39'=>$vt39,
	                't40'=>$vt40,
					't41'=>$vt41,
					't42'=>$vt42,
					't43'=>$vt43,
					't44'=>$vt44,
					't45'=>$vt45,
					't46'=>$vt46,
					't47'=>$vt47,
					't48'=>$vt48,
					't49'=>$vt49,
                     ));
                    
                    $user->valorpk = $id;
                    $user->extras_select = "WHERE id=$id";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
                    if ($res->sigla != post('sigla')):
                        if ($user->existeRegistro('sigla',post('sigla'))):
                            printMSG('Este sigla já existe no sistema, escolha outro endereço!','erro');
                            $duplicado = TRUE;
                        endif;
                    endif;
					$duplicado=FALSE;
                    if ($duplicado!=TRUE):
                        $user->atualizar($user);
                        if ($user->linhasafetadas==1):
                            printMSG('Dados alterados com sucesso. <a href="?m=pacotes&t=listar">Exibir cadastros</a>');
                            unset($_POST);
                        else:
                            printMSG('Nenhum dado foi alterado. <a href="?m=pacotes&t=listar">Exibir cadastros</a>','alerta');
                        endif;
                    endif;                    
                endif;
                $userbd = new pacotes();
                $userbd->extras_select = "WHERE id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           nome:{required:true, minlength:3},
                           sigla:{required:true, sigla:true},
                       }
                   });
               });
           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração</legend>
                    <ul>
                        <li><label for="nome">Nome:</label>
                        <input type="text" size="50" name="nome" autofocus="autofocus" value="<?php if($resbd) echo $resbd->nome; ?>" /></li>
                        <li><label for="sigla">sigla:</label>
                        <input type="text" size="50" name="sigla" value="<?php if($resbd) echo $resbd->sigla; ?>" /></li>
                        <li><label for="Preco">preco:</label>
                        <input type="text" size="50" name="preco" value="<?php if($resbd) echo $resbd->preco; ?>" /></li>
                        
   
 				<?php
				$userOto = new amostrasTTAPacote();
                $vetorLista=$userOto->encheListaTestes1($material);
			    //$f1=$resbd->t1;
				//if($f1!="")$checado[1]="checked";
				//echo("hhhhhhhhhhhh $f1<br>");
					
                    for($i=1;$i<=$limiteMaterial;$i++)
					{
                       //<input type="text" size="10" name="<php echo($campo);>" value="<php echo(vetorLista[$i]); >" /></li>
					   $campo="t".$i;
					   $preco="p".$i;
					   $cb="cb".$i;
					   if($i==1)$valorTeste=$resbd->t1;
					   if($i==2)$valorTeste=$resbd->t2;
					   if($i==3)$valorTeste=$resbd->t3;
					   if($i==4)$valorTeste=$resbd->t4;
					   if($i==5)$valorTeste=$resbd->t5;
					   if($i==6)$valorTeste=$resbd->t6;
					   if($i==7)$valorTeste=$resbd->t7;
					   if($i==8)$valorTeste=$resbd->t8;
					   if($i==9)$valorTeste=$resbd->t9;
					   if($i==10)$valorTeste=$resbd->t10;
					   if($i==11)$valorTeste=$resbd->t11;
					   if($i==12)$valorTeste=$resbd->t12;
					   if($i==13)$valorTeste=$resbd->t13;
					   if($i==14)$valorTeste=$resbd->t14;
					   if($i==15)$valorTeste=$resbd->t15;
					   if($i==16)$valorTeste=$resbd->t16;
					   if($i==17)$valorTeste=$resbd->t17;
					   if($i==18)$valorTeste=$resbd->t18;
					   if($i==19)$valorTeste=$resbd->t19;
					   if($i==20)$valorTeste=$resbd->t20;
					   if($i==21)$valorTeste=$resbd->t21;
					   if($i==22)$valorTeste=$resbd->t22;
					   if($i==23)$valorTeste=$resbd->t23;
					   if($i==24)$valorTeste=$resbd->t24;
					   if($i==25)$valorTeste=$resbd->t25;
					   if($i==26)$valorTeste=$resbd->t26;
					   if($i==27)$valorTeste=$resbd->t27;
					   if($i==28)$valorTeste=$resbd->t28;
					   if($i==29)$valorTeste=$resbd->t29;
					   if($i==30)$valorTeste=$resbd->t30;
					   if($i==31)$valorTeste=$resbd->t31;
					   if($i==32)$valorTeste=$resbd->t32;
					   if($i==33)$valorTeste=$resbd->t33;
					   if($i==34)$valorTeste=$resbd->t34;
					   if($i==35)$valorTeste=$resbd->t35;
					   if($i==36)$valorTeste=$resbd->t36;
					   if($i==37)$valorTeste=$resbd->t37;
					   if($i==38)$valorTeste=$resbd->t38;
					   if($i==39)$valorTeste=$resbd->t39;
					   if($i==40)$valorTeste=$resbd->t40;
					   if($i==41)$valorTeste=$resbd->t41;
					   if($i==42)$valorTeste=$resbd->t42;
					   if($i==43)$valorTeste=$resbd->t43;
					   if($i==44)$valorTeste=$resbd->t44;
					   if($i==45)$valorTeste=$resbd->t45;
					   if($i==46)$valorTeste=$resbd->t46;
					   if($i==47)$valorTeste=$resbd->t47;
					   if($i==48)$valorTeste=$resbd->t48;
					   if($i==49)$valorTeste=$resbd->t49;
					   $matriz=$vetorLista[$i];
					   ?>
                       <li>Item: <?php echo $i; ?> <input type="text" size="20" name="<?php echo($campo);?>" value="<?php echo($vetorLista[$i]); ?>" />
                       <input type="checkbox" name="<?php echo($cb);?>" <?php if($valorTeste != '') echo 'checked="checked"'; ?>  /></li>
					   <?php
					}
                    ?>
                        <li class="center"><input type="button" onclick="location.href='?m=pacotes&t=listar'" value="Cancelar" /><input type="submit" name="editar" value="Salvar AlteraçõesL" /></li>
                    </ul>
                </fieldset>
            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;

	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;


	 return $vetorLista;



?>